hagetak's blog

どうも、はげたかです。

今日の一言:カテゴリ分けをしっかりしたらPVあがるかな?

【Rails でブログを作る】Error: `gem install pg -v '0.17.1'

はじめに

Rails4で実戦的なブログを作成(その1) - Qiita

を元に、実践的なブログを作成してみる。

が...

sudo bundle install

で早速躓いて何も手を付けられない状態だった。

`gem install pg -v '0.17.1'

An error occurred while installing pg (0.17.1), and Bundler cannot continue.
Make sure that `gem install pg -v '0.17.1'` succeeds before bundling.

このエラーが出た場合

postgresql をインストールする必要がある。 このインストール方法は2通りある。

  • apt-get でインストール
  • brew でインストール

自分は前者で解決しようとして、 apt-get をインストール = > fink をインストールしようとした。 しかし、これもエラー。

2日間 ずーっと頑張っていたが結局解決できず。

そして、今...

brew でインストールする方法が簡単に見つかった。

Terminal で

brew install postgresql

を入力するだけで解決。

はああああああああああ。もったいない。

まとめ

sudo bundle install

で以下のエラーが出た場合の解決策

An error occurred while installing pg (0.17.1), and Bundler cannot continue.
Make sure that `gem install pg -v '0.17.1'` succeeds before bundling.

brew install postgresql

を入力すれば解決できる。